Summary:	KDE feed reader application
Name:		akregator
Version:	17.12.3
Release:	1
Epoch:		3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	grantlee-qt5-devel
BuildRequires:	qgpgme-devel
BuildRequires:	sasl-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5grantleetheme-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kontactinterface-devel
BuildRequires:	kf5libkdepim-devel
BuildRequires:	kf5libkleo-devel
BuildRequires:	kf5messageviewer-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5pimcommon-devel
BuildRequires:	kf5pimtextedit-devel
BuildRequires:	kf5syndication-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5webengineviewer-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineCore)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	plasma5-kdepim-runtime
Suggests:	plasma5-kdepim-addons
Conflicts:	kde5-l10n < 17.04

%description
Akregator is a news feed reader for the KDE desktop. It enables you to
follow news sites, blogs and other RSS/Atom-enabled websites without
the need to manually check for updates using a web browser. Akregator
is designed to be both easy to use and to be powerful enough to read
hundreds of news sources conveniently. It comes with Konqueror
integration for adding news feeds and with an internal browser for
easy news reading.

%files -f %{name}.lang
%{_kde5_applicationsdir}/org.kde.akregator.desktop
%{_kde5_bindir}/akregator
%{_kde5_bindir}/akregatorstorageexporter
%{_kde5_datadir}/config.kcfg/akregator.kcfg
%{_kde5_datadir}/kconf_update/akregator*
%dir %{_kde5_datadir}/akregator/
%{_kde5_datadir}/akregator/*
%{_kde5_datadir}/kontact/ksettingsdialog/akregator.setdlg
%{_kde5_iconsdir}/hicolor/*/apps/akregator.*
%{_kde5_iconsdir}/hicolor/*/apps/akregator_empty.*
%{_kde5_notificationsdir}/akregator.notifyrc
%{_kde5_services}/akregator_*.desktop
%{_kde5_services}/feed.protocol
%{_kde5_services}/kontact/akregatorplugin.desktop
%{_kde5_servicetypes}/akregator_plugin.desktop
%{_kde5_sysconfdir}/xdg/akregator.categories
%{_kde5_sysconfdir}/xdg/akregator.renamecategories
%{_appdatadir}/org.kde.akregator.appdata.xml
%{_datadir}/dbus-1/interfaces/org.kde.akregator.part.xml
%{_qt5_plugindir}/akregator_*.so
%{_qt5_plugindir}/akregatorpart.so
%{_qt5_plugindir}/kontact_akregatorplugin.so

#----------------------------------------------------------------------------

%define akregatorinterfaces_major 5
%define libakregatorinterfaces %mklibname akregatorinterfaces %{akregatorinterfaces_major}

%package -n %{libakregatorinterfaces}
Summary:	KDE PIM shared library
Group:		System/Libraries

%description -n %{libakregatorinterfaces}
KDE PIM shared library.

%files -n %{libakregatorinterfaces}
%{_kde5_libdir}/libakregatorinterfaces.so.%{akregatorinterfaces_major}*

#----------------------------------------------------------------------------

%define akregatorprivate_major 5
%define libakregatorprivate %mklibname akregatorprivate %{akregatorprivate_major}

%package -n %{libakregatorprivate}
Summary:	KDE PIM shared library
Group:		System/Libraries

%description -n %{libakregatorprivate}
KDE PIM shared library.

%files -n %{libakregatorprivate}
%{_kde5_libdir}/libakregatorprivate.so.%{akregatorprivate_major}*

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

rm -rf %{buildroot}%{_kde5_libdir}/libakregatorinterfaces.so

%find_lang %{name} --with-kde --with-html
%kf5locales_fix %{name}.lang


%changelog

* Mon Mar 26 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.12.3-1
- (d924726) Update files


